Page MenuHomePhabricator

Schema change for renaming name_title_timestamp on archive table
Closed, ResolvedPublic

Description

Part of T42626: Standardise type of timestamp database fields (MySQL) and T230428: Migrate tables.sql to abstract schema

  1. ALTERs to run:https://gerrit.wikimedia.org/r/c/mediawiki/core/+/657957/5/maintenance/archives/patch-archive-rename-name_title_timestamp-index.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: At any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster.
  6. if the data should be made available on the labs replicas and/or dumps: NA

Progress

Event Timeline

Marostegui triaged this task as Medium priority.Feb 9 2021, 11:36 AM
Marostegui added a subscriber: Marostegui.

Nothing comes up on codesearch regarding forcing this index.

Marostegui added a project: DBA.
Marostegui moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.
Marostegui updated the task description. (Show Details)

Altered first db1098:3316 and will leave it for 24h to see if any errors show up
s6 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db2141
  • db2129
  • db2124
  • db2117
  • db2114
  • db2097
  • db2095
  • db2089
  • db2087
  • db2076
  • db1173
  • db1155
  • db1140
  • db1139
  • db1131
  • db1125
  • db1113
  • db1098
  • db1096
  • db1088
  • db1085
  • clouddb1019
  • clouddb1015
# for i in frwiki jawiki ruwiki; do echo $i; mysql.py -hdb1098:3316 $i -e "show create table archive\G" | grep title_timestamp ; done
frwiki
  KEY `ar_name_title_timestamp` (`ar_namespace`,`ar_title`,`ar_timestamp`)
jawiki
  KEY `ar_name_title_timestamp` (`ar_namespace`,`ar_title`,`ar_timestamp`)
ruwiki
  KEY `ar_name_title_timestamp` (`ar_namespace`,`ar_title`,`ar_timestamp`)

Mentioned in SAL (#wikimedia-operations) [2021-02-16T08:30:56Z] <marostegui> Deploy schema change on s6 codfw - T273359

Mentioned in SAL (#wikimedia-operations) [2021-02-16T12:06:06Z] <marostegui> Deploy schema change on s5 codfw - T273359

s5 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1154
  • db1150
  • db1145
  • db1144
  • db1130
  • db1124
  • db1113
  • db1110
  • db1100
  • db1096
  • db1082
  • clouddb1020
  • clouddb1016

Mentioned in SAL (#wikimedia-operations) [2021-02-16T13:40:31Z] <marostegui> Deploy schema change on s2 codfw - T273359

s2 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1171
  • db1170
  • db1162
  • db1155
  • db1146
  • db1129
  • db1125
  • db1122
  • db1105
  • db1090
  • db1076
  • db1074
  • clouddb1018
  • clouddb1014

s4 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1160
  • db1155
  • db1150
  • db1149
  • db1148
  • db1147
  • db1146
  • db1145
  • db1144
  • db1143
  • db1142
  • db1141
  • db1138
  • db1125
  • db1121
  • clouddb1019
  • clouddb1015

s8 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db1172
  • db1154
  • db1126
  • db1124
  • db1116
  • db1114
  • db1111
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • clouddb1020
  • clouddb1016

s7 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1174
  • db1170
  • db1155
  • db1136
  • db1127
  • db1125
  • db1116
  • db1101
  • db1098
  • db1090
  • db1086
  • db1079
  • clouddb1018
  • clouddb1014

s1 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1169
  • db1163
  • db1154
  • db1140
  • db1139
  • db1135
  • db1134
  • db1133
  • db1124
  • db1119
  • db1118
  • db1106
  • db1105
  • db1099
  • db1084
  • db1083
  • clouddb1017
  • clouddb1013

Mentioned in SAL (#wikimedia-operations) [2021-02-22T09:35:42Z] <marostegui> Deploy schema change on s3 codfw master, there will be lag on s3 codfw - T273359

s3 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1175
  • db1171
  • db1166
  • db1157
  • db1154
  • db1124
  • db1123
  • db1112
  • clouddb1017
  • clouddb1013

Started on s3 master - will take around 15h

Marostegui updated the task description. (Show Details)

All done